Subject: Re: Why do we need tasklet in IFB?

From: Stephen Hemminger <[email-masked]>
Date: Fri, 28 Oct 2016 14:38:08 -0700

On Fri, 28 Oct 2016 14:36:27 -0700
Michael Ma <[email-masked]> wrote:

> Hi -
> 
> Currently IFB uses tasklet to process tx/rx on the interface that
> forwarded the packet to IFB. My understanding on why we're doing this
> is that since dev_queue_xmit() can be invoked in interrupt, we want to
> defer the processing of original tx/rx in case ifb_xmit() is called
> from interrupt.

dev_queue_xmit is only called from interrupt if doing netconsole.